KISMET(1)

NAME
Kismet - wireless sniffer and monitor

SYNOPSIS
kismet [OPTION]

DESCRIPTION
Nearly all of these options are run-time overrides for values in the kismet.conf configuration file. Permanent changes should be made to the configuration file.

GENERIC OPTIONS
-v, --version Show version

--no-console-wrapper
    Disable server console wrapper

--no-ncurses-wrapper
    Disable server console wrapper

--debug
    Disable the console wrapper and the crash handling functions, for debugging

-f, --config-file <file>
    Use alternate configuration file

--no-line-wrap
    Turn of linewrapping of output (for grep, speed, etc)

-s, --silent
    Turn off stdout output after setup phase

--daemonize
    Spawn detached in the background

--no-plugins
    Do not load plugins

--homedir <path>
    Use an alternate path as the home directory instead of the user entry

--confdir <path>
    Use an alternate path as the base config directory instead of the default set at compile time

--datadir <path>
    Use an alternate path as the data directory instead of the default set at compile time.

LOGGING OPTIONS

-T, --log-types <types>      Override activated log types

-t, --log-title <title>      Override default log title

-p, --log-prefix <prefix>    Directory to store log files

-n, --no-logging             Disable logging entirely

DEVICE TRACKING OPTIONS

--device-timeout=n
    Expire devices after N seconds

SEE ALSO
The full documentation for Kismet is maintained in a separate package kismet-docs. More information here: https://www.kismetwireless.net/docs